### Method

# Gtk MediaStreamupdate

#### Declaration [src]

    void
    gtk_media_stream_update (
      GtkMediaStream* self,
      gint64 timestamp
    )

#### Description [src]

Media stream implementations should regularly call this function to update the timestamp reported by the stream.

It is up to implementations to call this at the frequency they deem appropriate.

The media stream must be prepared when this function is called.

#### Parameters

`timestamp`

  Type: `gint64`

  The new timestamp.